Name:		libtwin
Version:	0.0.3
Release:	3%{?dist}
Summary:	Tiny Window System

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://ozlabs.org/~jk/projects/petitboot/
Source0:	http://ozlabs.org/~jk/projects/petitboot/downloads/%{name}-%{version}.tar.gz
Patch0:		libtwin-0.0.2-no-altivec.patch
Patch1:		libtwin-0.0.2-no-float.patch
Patch2:		libtwin-0.0.2-sqrt.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpng-devel zlib-devel libjpeg-devel freetype-devel

%description
With embedded systems gaining high resolution displays and powerful
cpus, the desire for sophisticated graphical user interfaces can be
realized in even the smallest of systems. While the cpupower available
for a given power budget has increased dramatically, these tiny
systems remain severely memory constrained. This unique environment
presents interesting challenges in graphical system design and
implementation. To explore this particular space, a new window system,
Twin, has been developed. Using ideas from modern window systems in
larger environments, Twin offers overlapping translucent windows,
anti-aliased graphics and scalable fonts in a total memory budget of
100KB.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -flax-vector-conversions" %configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog
%{_libdir}/*.so.*
%{_bindir}/twin_ttf

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libtwin.pc

%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct 14 2008 Josh Boyer <jwboyer@gmail.com> - 0.0.3-1
- Update to 0.0.3

* Thu May 22 2008 Jon Stanley <jonstanley@gmail.com> - 0.0.2-9
- Fix license tag

* Wed Apr 23 2008 David Woodhouse <dwmw2@infradead.org> - 0.0.2-8
- Add -flax-vector-conversions to CFLAGS

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.2-7
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-6
- Update licence

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-5
- Rebuild

* Sun Apr  8 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-4
- Re-enable X11, build static version for petitboot to use.
- Fix usage of libm

* Fri Apr  6 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-3
- Disable X11. Otherwise we have to pull it into the petitboot initrd.

* Thu Apr  5 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-2
- Fix non-HAVE_ALTIVEC build

* Thu Apr  5 2007 David Woodhouse <dwmw2@infradead.org> 0.0.2-1
- Initial package
